RTL2832_NAMESPACE::demod::params Struct Reference

`#include <rtl2832.h>`

## Public Attributes

uint16_t | vid
uint16_t | pid
bool | verbose
int | default_timeout
log_sink * | message_output
bool | use_custom_fir_coefficients
uint8_t | fir_coeff [RTL2832_FIR_COEFF_COUNT]
tuner::PPARAMS | tuner_params
uint32_t | crystal_frequency
char | tuner_name [RTL2832_TUNER_NAME_LEN]

## Member Data Documentation

## crystal_frequency

uint32_t RTL2832_NAMESPACE::demod::params::crystal_frequency

## default_timeout

int RTL2832_NAMESPACE::demod::params::default_timeout

## fir_coeff

uint8_t RTL2832_NAMESPACE::demod::params::fir_coeff[RTL2832_FIR_COEFF_COUNT]

## message_output

log_sink* RTL2832_NAMESPACE::demod::params::message_output

## pid

uint16_t RTL2832_NAMESPACE::demod::params::pid

## tuner_name

char RTL2832_NAMESPACE::demod::params::tuner_name[RTL2832_TUNER_NAME_LEN]

## tuner_params

tuner::PPARAMS RTL2832_NAMESPACE::demod::params::tuner_params

## use_custom_fir_coefficients

bool RTL2832_NAMESPACE::demod::params::use_custom_fir_coefficients

## verbose

bool RTL2832_NAMESPACE::demod::params::verbose

## vid

uint16_t RTL2832_NAMESPACE::demod::params::vid

The documentation for this struct was generated from the following file:

- rtl2832.h